                              MEMBER

  INCLUDE('EQUATES.CLW')
  INCLUDE('AddressFormatterClass.INC'),ONCE

                              MAP
                              END

AddressFormatterClass.Construct   PROCEDURE
  CODE
  SELF.FirstName   = ''
  SELF.MiddleName  = '' 
  SELF.LastName    = ''
  SELF.CompanyName = '' 
  SELF.Address1    = ''
  SELF.Address2    = ''
  SELF.City        = ''
  SELF.State       = ''
  SELF.Zip         = ''

AddressFormatterClass.Destruct    PROCEDURE
  CODE
  !Ensure that ANY variable memory is freed.
  !(Definitely a problem with ANYs in QUEUEs, 
  !but we're not sure about ANYs in CLASSes.)
  SELF.FirstName   &= NULL
  SELF.MiddleName  &= NULL 
  SELF.LastName    &= NULL
  SELF.CompanyName &= NULL 
  SELF.Address1    &= NULL
  SELF.Address2    &= NULL
  SELF.City        &= NULL
  SELF.State       &= NULL
  SELF.Zip         &= NULL

AddressFormatterClass.InitFirstName   PROCEDURE(*CSTRING FirstName)
  CODE
  SELF.FirstName &= FirstName

AddressFormatterClass.InitFirstName   PROCEDURE(*STRING FirstName)
  CODE
  SELF.FirstName &= FirstName

AddressFormatterClass.SetFirstName    PROCEDURE(STRING FirstName)
  CODE
  SELF.FirstName = FirstName

AddressFormatterClass.FormatAddressBlock  PROCEDURE!,STRING
  CODE
  RETURN ''

AddressFormatterClass.FormatAddressInline PROCEDURE!,STRING
  CODE
  RETURN ''

AddressFormatterClass.FormatCityStateZip  PROCEDURE!,STRING
  CODE
  RETURN ''

AddressFormatterClass.FormatFirstLastName PROCEDURE!,STRING
  CODE
  RETURN CLIP(LEFT(CLIP(SELF.FirstName) &' '& CLIP(SELF.LastName)))

AddressFormatterClass.FormatLastFirstName PROCEDURE!,STRING
  CODE
  RETURN ''
